package list

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"

	eiaapi "gitea.libretechconsulting.com/50W/eia-api-go/api"
)

var ListCmd = &cobra.Command{
	Use:   "list <name>",
	Args:  cobra.RangeArgs(0, 1),
	Short: "List Available EIA Series",
	Run:   runListCmd,
}

func runListCmd(cmd *cobra.Command, _ []string) {
	client, err := eiaapi.NewClient("https://api.eia.gov")
	if err != nil {
		fmt.Println(err.Error())
		os.Exit(1)
	}

	resp, err := client.GetV2(cmd.Context())
	if err != nil {
		fmt.Println(err.Error())
		os.Exit(1)
	}

	defer resp.Body.Close()
	response := make([]byte, 0)

	_, err = resp.Body.Read(response)
	if err != nil {
		fmt.Println(err.Error())
		os.Exit(1)
	}

	fmt.Printf("%s\n", response)
}
